12

I'm using Gnome 15.04 currently.

2
  • If you upgrade to it and don't like something then you can always use ppa-purge ppa:gnome3team/gnome3-staging and ppa-purge ppa:gnome3team/gnome3 to revert back to the previous version (install ppa-purge with sudo apt-get install ppa-purge). – user364819 Oct 25 '15 at 9:31
  • See also: askubuntu.com/questions/22946/… – Wilf Oct 26 '15 at 17:16
16

Not for 15.04. You need Wily, available since of today, and at least one PPA

sudo apt-add-repository ppa:gnome3-team/gnome3

To get more bleeding edge versions of the components, additionally

sudo apt-add-repository ppa:gnome3-team/gnome3-staging

Update the package database and upgrade

sudo apt-get update
sudo apt-get dist-upgrade

And if you have problems, start the commands below to go back to the version of the official Ubuntu repositories

sudo ppa-purge ppa:gnome3-team/gnome3
sudo ppa-purge ppa:gnome3-team/gnome3-staging
7
  • 6
    No risk, no fun. Try it. ;) – A.B. Oct 23 '15 at 20:53
  • Is this answer complete? Don't you have to sudo apt-get install gnome-something ? – Promille Oct 24 '15 at 9:29
  • 1
    @Wildcard: Nope, you shouldn't need to do anything like that. You are upgrading your current packages, not necessarily installing new ones. – user364819 Oct 25 '15 at 9:27
  • To be more precise: for 3.18 on Wily, you need both gnome3-team/gnome3 and gnome3-team/gnome3-staging – user17254 Oct 29 '15 at 22:16
  • I hope gnome 3.18 can also be installed on Ubuntu 15.04, Is there any way? I'm not upgrading to 15.10 because radeon driver not working yet – Superbiji Nov 30 '15 at 3:55
3

At this moment, you can install Gnome 3.18 on Ubuntu Gnome 15.10 Wily by the PPA ppa:gnome3-team/gnome3-staging:

sudo apt-add-repository ppa:gnome3-team/gnome3-staging
1
  • 1
    You also need the ppa:gnome3-team/gnome3 PPA. – user364819 Oct 25 '15 at 9:28
1

If you want update to Gnome 3.18, you'll need upgrade to Ubuntu 15.10.

On Ubuntu 15.04 you just can update only to Gnome 3.16, the actual version bundled with Ubuntu 15.10.

Follows the step by step valid to update to both versions:

http://www.omgubuntu.co.uk/2015/06/how-to-upgrade-to-gnome-3-16-in-ubuntu-15-04

Not the answer you're looking for? Browse other questions tagged or ask your own question.